Package org.springframework.security.access.prepost

# Interface PreInvocationAuthorizationAdvice

All Superinterfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`

All Known Implementing Classes:
  `ExpressionBasedPreInvocationAdvice`

@Deprecated public interface PreInvocationAuthorizationAdvice extends org.springframework.aop.framework.AopInfrastructureBean
Deprecated.
Use `AuthorizationManagerBeforeMethodInterceptor` instead
Performs argument filtering and authorization logic before a method is invoked.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`before(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PreInvocationAttribute preInvocationAttribute)`
Deprecated.
The "before" advice which should be executed to perform any filtering necessary and to decide whether the method call is authorised.

## Method Details

### before

boolean before(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PreInvocationAttribute preInvocationAttribute)
Deprecated.
The "before" advice which should be executed to perform any filtering necessary and to decide whether the method call is authorised.

Parameters:
  `authentication` - the information on the principal on whose account the decision should be made
  `mi` - the method invocation being attempted
  `preInvocationAttribute` - the attribute built from the @PreFilter and @PostFilter annotations.
Returns:
  true if authorised, false otherwise